# tag_and_trait.hpp File Reference

## Detailed Description

Contains tags and traits, e.g., ones describing underlying data structures.

Definition in file tag_and_trait.hpp.

Go to the source code of this file.

## Namespaces

- namespace pb_ds

## Classes

- struct pb_ds::associative_container_tag
- struct pb_ds::basic_hash_tag
- struct pb_ds::basic_invalidation_guarantee
- struct pb_ds::basic_tree_tag
- struct pb_ds::binary_heap_tag
- struct pb_ds::binomial_heap_tag
- struct pb_ds::cc_hash_tag
- struct pb_ds::container_tag
- struct pb_ds::container_traits< Cntnr >
- struct pb_ds::container_traits_base< binary_heap_tag >
- struct pb_ds::container_traits_base< binomial_heap_tag >
- struct pb_ds::container_traits_base< cc_hash_tag >
- struct pb_ds::container_traits_base< gp_hash_tag >
- struct pb_ds::container_traits_base< list_update_tag >
- struct pb_ds::container_traits_base< ov_tree_tag >
- struct pb_ds::container_traits_base< pairing_heap_tag >
- struct pb_ds::container_traits_base< pat_trie_tag >
- struct pb_ds::container_traits_base< rb_tree_tag >
- struct pb_ds::container_traits_base< rc_binomial_heap_tag >
- struct pb_ds::container_traits_base< splay_tree_tag >
- struct pb_ds::container_traits_base< thin_heap_tag >
- struct pb_ds::gp_hash_tag
- struct pb_ds::list_update_tag
- struct pb_ds::null_mapped_type
- struct pb_ds::ov_tree_tag
- struct pb_ds::pairing_heap_tag
- struct pb_ds::pat_trie_tag
- struct pb_ds::point_invalidation_guarantee
- struct pb_ds::priority_queue_tag
- struct pb_ds::range_invalidation_guarantee
- struct pb_ds::rb_tree_tag
- struct pb_ds::rc_binomial_heap_tag
- struct pb_ds::splay_tree_tag
- struct pb_ds::thin_heap_tag
- struct pb_ds::tree_tag
- struct pb_ds::trie_tag
- struct pb_ds::trivial_iterator_tag

## Typedefs

- typedef void pb_ds::trivial_iterator_difference_type